#ifndef __DdxCollection_H__
#define __DdxCollection_H__

#include <map>

//	クラス宣言
class CDdxCollection
{
private:
	typedef std::map<int,CWnd*> COLLECTRION_ARY;
	typedef std::map<int,CWnd*>::iterator COLLECTRION_ITERATOR;
	COLLECTRION_ARY m_clct;

public:
	//	コンストラクタ・デストラクタ
	CDdxCollection();
	virtual ~CDdxCollection();

	//	登録等系
	void Add( int nIDC ){ m_clct[nIDC] = new CWnd; }
	void Release();

	//	DoDataExchange()で呼び出す
	void DoDataExchange(CDataExchange* pDX);

	//	実際の操作系
	void EnableWindowAll(BOOL bEnable = TRUE);
};

#endif//__DdxCollection_H__